a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QCanvasEllipse Class Reference
[ canvas module ]

An ellipse with a movable center point. More...

`#include <qcanvas.h>`

Inherits QCanvasPolygonalItem.

List of all member functions.

## Public Members

- QCanvasEllipse ( QCanvas * canvas )
- QCanvasEllipse ( int width, int height, QCanvas * canvas )
- QCanvasEllipse ( int width, int height, int startangle, int angle, QCanvas * canvas )
- ~QCanvasEllipse ()
- int width () const
- int height () const
- void setSize ( int w, int h )
- void setAngles ( int start, int length )
- int angleStart () const
- int angleLength () const
- virtual int rtti () const

## Protected Members

- virtual void drawShape ( QPainter & )

## Detailed Description

An ellipse with a movable center point.

Paints an ellipse or "pie segment" with a QBrush.

## Member Function Documentation

### QCanvasEllipse::QCanvasEllipse ( QCanvas * canvas )

Constructs a 32x32 ellipse, centered at (0,0) on canvas.

### QCanvasEllipse::QCanvasEllipse ( int width, int height, QCanvas * canvas )

Constructs a width by height pixel ellipse, centered at (0,0) on canvas.

### QCanvasEllipse::QCanvasEllipse ( int width, int height, int startangle, int angle, QCanvas * canvas )

Constructs a width by height pixel ellipse, centered at (0,0) on canvas, starting at angle startangle, extending for angle angle. startangle and angle are in 1/16 degrees.

### QCanvasEllipse::~QCanvasEllipse ()

Destructs the ellipse.

### int QCanvasEllipse::angleLength () const

Returns the length angle in 1/16 degrees. Initially this will be 360*16 - ie. a solid ellipse.

See also setAngles() and angleStart().

### int QCanvasEllipse::angleStart () const

Returns the start angle in 1/16 degrees. Initially this will be 0.

See also setAngles() and angleLength().

### QPointArray QCanvasEllipse::areaPoints () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QCanvasPolygonalItem.

### bool QCanvasEllipse::collidesWith ( const QCanvasItem * i ) const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QCanvasItem.

### void QCanvasEllipse::drawShape ( QPainter & p ) `[virtual protected]`

Draws the ellipse, centered at x(), y().

Note that QCanvasPolygon does not support an outline (pen is always NoPen).

Reimplemented from QCanvasPolygonalItem.

### int QCanvasEllipse::height () const

Returns the height of the ellipse.

### int QCanvasEllipse::rtti () const `[virtual]`

Returns 6.

See also QCanvasItem::rtti().

Reimplemented from QCanvasItem.

### void QCanvasEllipse::setAngles ( int start, int length )

Sets the angles for the ellipse to start at start and continue for length units. Each unit is 1/16 of a degree. By default the ellipse will start at 0 and have length 360*16 - ie. a solid ellipse.

See also angleStart() and angleLength().

### void QCanvasEllipse::setSize ( int width, int height )

Sets the width and height of the ellipse.

### int QCanvasEllipse::width () const

Returns the width of the ellipse.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.